﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using DemoWebService;
using DemoWebService.DemoService;

namespace App
{
    public partial class TestService2 : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {

        }

        protected void Button1_Click(object sender, EventArgs e)
        {
            Label1.Text = DateTime.Now.ToString("dd/MM/yyyy HH:mm:ss");

            List<Destination> list = new List<Destination>();

            for (var i = 1; i <= 10; i++)
            {
                Random rnd = new Random (DateTime.Now.Millisecond);

                list.Add(new Destination()
                {
                    Name = string.Format("Contato {0}", i),
                    Number = rnd.Next(10000000, 999999999).ToString(),
                    Ref = string.Format("{0:000000}", i), //O campo ref serve como um campo de referencia para cada destino na mensagem, podendo ser utilizado para consultas posteriores
                    Param1 = string.Format("Contato {0}", i),
                    Param2 = i.ToString(),
                    Param3 = "parametro 3",
                    Param4 = "parametro 4",
                    Param5 = "parametro 5",
                });
            }

            rSMS sms = new rSMS();

            sms.Destinations  = list.ToArray();
            sms.Flash = false;
            sms.Msg = "Ola $par1$, o seu novo numero e $par2$. Venha e traga o seu $par3$, $par4$, $par5$.";
            sms.Preso = true;
            sms.Subject = "Envio de SMS com parâmetros";
            sms.WarningBeginningTransmission = false;

            //br.com.resguardarsms.ServiceSMS srv = new ServiceSMS();

            DemoWebService.DemoService.ServiceSMS srv = new ServiceSMS();

            string resultado = srv.SendSMS(TextBox2.Text, TextBox3.Text, sms);

            Label4.Text = DateTime.Now.ToString("dd/MM/yyyy HH:mm:ss");

            Label13.Text = resultado;
        }
    }
}